## oem-fw-rmhwk-workaround-1057415-dkms-dkms 1stella7

=== Makefile ===
#/usr/bin/make
SRC = $(DESTDIR)/usr/src
SHARE = $(DESTDIR)/usr/share/$(NAME)-dkms

all:

clean:

install:

#source tree
ifeq ("$(wildcard $(NAME)-$(VERSION))", "$(NAME)-$(VERSION)")
	install -d "$(SRC)"
	cp -a $(NAME)-$(VERSION) $(SRC)
#	chmod 755 -R "$(SRC)/$(NAME)-$(VERSION)"
endif

#tarball, possibly with binaries
ifeq ("$(wildcard $(NAME)-$(VERSION).dkms.tar.gz)", "$(NAME)-$(VERSION).dkms.tar.gz")
	install -d "$(SHARE)"
	install -m 755 $(NAME)-$(VERSION).dkms.tar.gz "$(SHARE)"
endif

#postinst, only if we are supporting legacy mode
ifeq ("$(wildcard common.postinst)", "common.postinst")
	install -d "$(SHARE)"
	install -m 755 $(PREFIX)/usr/lib/dkms/common.postinst $(SHARE)/postinst
endif

=== oem-fw-rmhwk-workaround-1057415-dkms-1stella7/Makefile ===
obj-m += rmhwk-workaround.o
all:
	make -C /lib/modules/$(KVER)/build M=`pwd` modules

clean:
	make -C /lib/modules/$(KVER)/build M=`pwd` clean

=== debian/changelog ===
oem-fw-rmhwk-workaround-1057415-dkms-dkms (1stella7) precise; urgency=low

  * Fix build issue.

 -- Tammy Yang <tammy.yang@canonical.com>  Wed, 12 Dec 2012 14:40:38 +0800

oem-fw-rmhwk-workaround-1057415-dkms-dkms (1stella6) precise; urgency=low

  * Add control for RMH 1 Upstream Wake on Disconnect Disable

 -- Tammy Yang <tammy.yang@canonical.com>  Wed, 17 Oct 2012 17:23:59 +0800

oem-fw-rmhwk-workaround-1057415-dkms-dkms (1stella5) precise; urgency=low

  * Load module after installation.

 -- Tammy Yang <tammy.yang@canonical.com>  Mon, 15 Oct 2012 11:42:46 +0800

oem-fw-rmhwk-workaround-1057415-dkms-dkms (1stella4) precise; urgency=low

  * Fix install fail issue

 -- Tammy Yang <tammy.yang@canonical.com>  Thu, 11 Oct 2012 16:02:08 +0800

oem-fw-rmhwk-workaround-1057415-dkms-dkms (1stella3) precise; urgency=low

  * Add 8086:1e5e

 -- Tammy Yang <tammy.yang@canonical.com>  Thu, 11 Oct 2012 13:57:03 +0800

oem-fw-rmhwk-workaround-1057415-dkms-dkms (1stella2) precise; urgency=low

  * Add more ID

 -- Tammy Yang <tammy.yang@canonical.com>  Tue, 09 Oct 2012 11:43:33 +0800

oem-fw-rmhwk-workaround-1057415-dkms-dkms (1stella1) precise; urgency=low

  * Initial package for rmhwk-workaround (LP: #1057415)

 -- Tammy Yang <tammy.yang@canonical.com>  Mon, 08 Oct 2012 19:38:01 +0800

oem-fw-rmhwk-workaround-1057415-dkms-dkms (1) stable; urgency=low

  * Automatically packaged by DKMS.

 -- Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>  Mon, 08 Oct 2012 17:40:30 +0800

=== debian/control ===
Source: oem-fw-rmhwk-workaround-1057415-dkms-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms
Standards-Version: 3.8.1

Package: oem-fw-rmhwk-workaround-1057415-dkms-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: oem-fw-rmhwk-workaround-1057415-dkms driver in DKMS format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-fw-rmhwk-workaround-1057415-dkms
NAME=oem-fw-rmhwk-workaround-1057415-dkms
VERSION=1stella7

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
